This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 75747 - gnome-session checking naive (or remove entirely)
gnome-session checking naive (or remove entirely)
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: htmlview (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-11 16:09 EDT by Need Real Name
Modified: 2008-02-08 11:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-08 11:17:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-11 16:09:33 EDT
Description of Problem:
2 "enhancement" issues:

1. /usr/bin/htmlview (IMHO) could/should use #!/bin/sh rather than #!/bin/bash
for portability, as it does not appear to depend on 'bash' for any reason.

2. The following line which checks for a gnome-session seems rather crude:
if [ "x`/sbin/pidof gnome-session`" != "x" ]; then

IMHO it would be cleaner, more correct (think of multi-user systems), and more
portable to check for some environment variable which is present under a
gnome-session.

Maybe something like the following:

[ $GNOME_DESKTOP_SESSION_ID ]

(I am not 100% sure that variable is _always_ set under gnome-session, that's
just a possible scenario.)

Version-Release number of selected component (if applicable):
2.0.0-6
Comment 1 Mike A. Harris 2002-10-18 23:56:06 EDT
I just inherited htmlview package.  I'm not sure yet if I've just inherited
package maintenance, or if I've inherited the script as upstream maintainer
yet.

While I'm a fan of portability, I'm not a big fan of the raw bourne
shell, and I freely use bashisms as they make my job easier, and
bash is present on every (supported) Red Hat Linux system.

I'll look into it, but I won't promise anything.

I'll also look into the gnome thing.
Comment 2 Need Real Name 2005-02-22 18:34:02 EST
Hi Mike or Jonathan,

any updates on this?

$ env | grep GNOME
GNOME_KEYRING_SOCKET=/path/to/socket
GNOME_DESKTOP_SESSION_ID=Default

IMHO checking for some environment variable would be better than
checking for a process.  A gnome-session process could belong to a
different user on a different X session.
Comment 3 Warren Togami 2005-04-25 03:35:19 EDT
Agreed this is naive and wrong.  However it only happens in a dead codepath that
only users without X would hit.  Either that old crap should be removed and
non-X be declared unsupported or this should be fixed in a non-naive way.
Comment 4 Matěj Cepl 2008-02-08 11:17:40 EST
Since this bugzilla report was filed, we have seriously upgraded Gecko-related
packages in Rawhide, which may have resolved this issue. Users who have
experienced this problem are encouraged to upgrade their system to the latest
version of their distribution available.

Closing this bug as CANTFIX. Please, reopen, if this bug is still reproducable
on the latest update of your distribution.

[This is mass-closing of bugs which seem to be too old and irrelevant anymore;
we are sorry, if we are closing your bug in mistake; please, don't hesitate to
reopen, if it is still alive issue.]

Note You need to log in before you can comment on or make changes to this bug.